{ buildPackages, ports }:

with ports;

{
  "app/gpt_write".portInputs = [ jitterentropy ];

  "app/lighttpd".portInputs = [ libc lighttpd openssl zlib ];

  "drivers/framebuffer/intel" = {
    BOARD = "pc";
    portInputs = [ dde_linux ];
  };

  "drivers/framebuffer/vesa" = {
    BOARD = "pc";
    portInputs = [ x86emu ];
  };

  "drivers/usb".portInputs = [ dde_linux ];

  "lib/vfs/lwip".portInputs = [ lwip ];
  "lib/vfs/ttf".portInputs = [ libc stb ];
  "lib/vfs/rump" = {
    portInputs = [ dde_rump ];
    buildInputs = [ buildPackages.zlib ];
  };

  noux = {
    targets = [ "noux" "lib/libc_noux" ];
    portInputs = [ libc ];
  };

  virtualbox5 = {
    KERNEL = "nova";
    portInputs = [ libc libiconv qemu-usb stdcxx virtualbox5 ];
    nativeBuildInputs = with buildPackages; [ iasl yasm ];
  };

}
