# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, hostPkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "block_router";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./block_router.dhall;
  testInputs = map pkgs.genodeSources.make [
    "server/part_block"
    "server/ram_block"
    "test/block/client"
  ] ++ [ pkgs.block_router ];
  testScript = ''
    catch { exec dd if=/dev/zero of=gpt.raw bs=512 count=7168 }
    exec ${hostPkgs.gptfdisk}/bin/sgdisk -o -n 3:2048:4095 -c 3:first-test-partition -n 31:4096:6143 -c 31:second-test-partition gpt.raw

    run_genode_until {Tests finished successfully.*\n.*Tests finished successfully.*\n} 120
  '';
}
